View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000015Ecere SDKidepublic2008-04-09 15:162013-08-07 03:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000015: Call Stack displays / errors from bison/flex files appear with the right line number, but the wrong .ec extension
DescriptionThe proper source file should be displayed & opened (.y / .l) instead of the .ec

Also handle the following kind of linker errors:

Linking...
   Release\ecc.o:ecc.c:(.text+0xd5a): error: undefined reference to
`ProcessInstantiations'

This should open ecc.c or ecc.ec, or nothing at all at worst case, never open a .o file when going to error...

It should also be possible to place breakpoints in bison and flex files.
Tagsv0.44d2
Attached Files

- Relationships

-  Notes
(0000665)
jerome (administrator)
2013-02-07 14:56

At the moment, the .y/.l references are not carried from e.g. grammar.ec to grammar.c .

It might be quite a challenge to figure out how to let that reference survive the preprocessing of grammar.ec by GCC, and then output it in output.c.

(If all else fails, we might just need to implement our own preprocessor at this point)
(0000922)
jerome (administrator)
2013-07-02 17:33

Fixed by https://github.com/ecere/sdk/commit/1fa85b19bc8baee655619c70f9061835fef75585 [^]

- Issue History
Date Modified Username Field Change
2008-04-09 15:16 jerome New Issue
2008-04-10 03:33 jerome Status new => assigned
2008-04-10 03:33 jerome Assigned To => redj
2008-04-10 19:50 jerome Description Updated
2008-05-05 17:55 jerome Description Updated
2008-05-05 17:55 jerome Description Updated
2009-12-12 01:17 jerome Assigned To redj => jerome
2009-12-12 01:17 jerome Priority normal => immediate
2010-07-07 02:37 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 21:34 redj Relationship added child of 0000429
2010-07-26 19:33 thexa4 Fixed in Version => 0.44 draft 2
2010-07-26 19:33 thexa4 Target Version 0.44d2 =>
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:33 redj Relationship deleted child of 0000429
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-02-07 14:56 jerome Note Added: 0000665
2013-04-24 20:36 jerome Status assigned => new
2013-04-24 20:38 jerome Assigned To jerome =>
2013-04-25 20:32 jerome Target Version 0.45 Ginkakuji => 0.44.5 Debug
2013-07-02 17:04 jerome Target Version 0.44.50 Debug => 0.44.10 64
2013-07-02 17:04 jerome Status new => assigned
2013-07-02 17:04 jerome Assigned To => jerome
2013-07-02 17:33 jerome Status assigned => resolved
2013-07-02 17:33 jerome Fixed in Version => 0.44.10 64
2013-07-02 17:33 jerome Resolution open => fixed
2013-07-02 17:33 jerome Note Added: 0000922
2013-07-04 19:44 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker